-- by "Marhu" 
-- v 1.0
-- Date: 12.08.2013
-- Placeable DDRTankstelle

DDRTankstelle = {};
DDRTankstelle_mt = Class(DDRTankstelle, Placeable);
InitObjectClass(DDRTankstelle, "DDRTankstelle");

function DDRTankstelle:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, DDRTankstelle_mt);
    registerObjectClassName(self, "DDRTankstelle");
	
	return self;
end;

function DDRTankstelle:delete()
	unregisterObjectClassName(self);
    DDRTankstelle:superClass().delete(self);
end;

function DDRTankstelle:deleteFinal()
    DDRTankstelle:superClass().deleteFinal(self);
end;

function DDRTankstelle:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not DDRTankstelle:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;

	if not moveMode then
		local xmlFile = loadXMLFile("TempXML", xmlFilename);
		local TriggerIndex = getXMLString(xmlFile, "placeable.Trigger#index");
		if TriggerIndex then
			local Trigger = Utils.indexToObject(self.nodeId, TriggerIndex);
			if Trigger then
				GasStation:onCreate(Trigger);
			end;
		end;
		delete(xmlFile);
	end;
  
	return true;
end;

function DDRTankstelle:update(dt)
end;

registerPlaceableType("DDRTankstelle", DDRTankstelle);